version: '3.7'

services:
  jira-postgresql:
    image: postgres:11-alpine
    environment:
      - POSTGRES_USER
      - POSTGRES_PASSWORD
      - POSTGRES_DB
      - POSTGRES_ENCODING
      - POSTGRES_COLLATE
      - POSTGRES_COLLATE_TYPE
    networks:
      management-net:
        aliases:
          - jira-db
    volumes:
      - jira-postgres-data-vol:/var/lib/postgresql/data

networks:
  management-net:
    name: ${MANAGEMENT_NET_NAME:-management-net}
    driver: overlay
    attachable: true
    
volumes:
  jira-postgres-data-vol:
    name: ${JIRA_POSTGRES_DATA_VOLUME_NAME:-jira-postgres-data-vol}